Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atlassian.bamboo.instantmessagingserver
Class InstantMessagingServerDefinitionImpl

    java.lang.Object
      EntityObject
          com.atlassian.bamboo.core.BambooEntityObject
              com.atlassian.bamboo.instantmessagingserver.InstantMessagingServerDefinitionImpl

All Implemented Interfaces:
  BambooObject, InstantMessagingServerDefinition, Cloneable

    public class InstantMessagingServerDefinitionImpl

extends BambooEntityObject
implements InstantMessagingServerDefinition

Field Summary
`protected String` | `name`

Fields inherited from class com.atlassian.bamboo.core.BambooEntityObject
`id`

Constructor Summary
`InstantMessagingServerDefinitionImpl()`
`InstantMessagingServerDefinitionImpl(long id, String name, String host, Integer port, String username, String password, boolean sslRequired)`
`InstantMessagingServerDefinitionImpl(long id, String name, String host, int port, String username, String password, boolean sslRequired)`
`InstantMessagingServerDefinitionImpl(long id, String name, String host, String username, String password, boolean sslRequired)`

Method Summary
`int` | `compareTo(Object obj)`
`boolean` | `equals(Object o)`
`String` | `getEncryptedPassword()`
`String` | `getHost()`
`String` | `getName()`
`String` | `getPassword()`
`Integer` | `getPort()`
`String` | `getUsername()`
`int` | `hashCode()`
`boolean` | `isSslRequired()`
`void` | `setEncryptedPassword(String password)`
`void` | `setHost(String host)`
`void` | `setName(String name)`
`void` | `setPassword(String password)`
`void` | `setPort(Integer port)`
`void` | `setSslRequired(boolean sslRequired)`
`void` | `setUsername(String username)`

Methods inherited from class com.atlassian.bamboo.core.BambooEntityObject
`getId, setId`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.atlassian.bamboo.instantmessagingserver.InstantMessagingServerDefinition
`getId, setId`

Field Detail

### name

    protected String name

Constructor Detail

### InstantMessagingServerDefinitionImpl

    public InstantMessagingServerDefinitionImpl()

### InstantMessagingServerDefinitionImpl

    public InstantMessagingServerDefinitionImpl(long id,
                                                String name,
                                                String host,
                                                String username,
                                                String password,
                                                boolean sslRequired)

### InstantMessagingServerDefinitionImpl

    public InstantMessagingServerDefinitionImpl(long id,
                                                String name,
                                                String host,
                                                int port,
                                                String username,
                                                String password,
                                                boolean sslRequired)

### InstantMessagingServerDefinitionImpl

    public InstantMessagingServerDefinitionImpl(long id,
                                                String name,
                                                String host,
                                                Integer port,
                                                String username,
                                                String password,
                                                boolean sslRequired)

Method Detail

### getName

    public String getName()

  Specified by:
    `getName` in interface `InstantMessagingServerDefinition`

### setName

    public void setName(String name)

  Specified by:
    `setName` in interface `InstantMessagingServerDefinition`

### getHost

    public String getHost()

  Specified by:
    `getHost` in interface `InstantMessagingServerDefinition`

### setHost

    public void setHost(String host)

  Specified by:
    `setHost` in interface `InstantMessagingServerDefinition`

### getPort

    public Integer getPort()

  Specified by:
    `getPort` in interface `InstantMessagingServerDefinition`

### setPort

    public void setPort(Integer port)

  Specified by:
    `setPort` in interface `InstantMessagingServerDefinition`

### getUsername

    public String getUsername()

  Specified by:
    `getUsername` in interface `InstantMessagingServerDefinition`

### setUsername

    public void setUsername(String username)

  Specified by:
    `setUsername` in interface `InstantMessagingServerDefinition`

### getPassword

    public String getPassword()

  Specified by:
    `getPassword` in interface `InstantMessagingServerDefinition`

### setPassword

    public void setPassword(String password)

  Specified by:
    `setPassword` in interface `InstantMessagingServerDefinition`

### getEncryptedPassword

    public String getEncryptedPassword()

  Specified by:
    `getEncryptedPassword` in interface `InstantMessagingServerDefinition`

### setEncryptedPassword

    public void setEncryptedPassword(String password)

  Specified by:
    `setEncryptedPassword` in interface `InstantMessagingServerDefinition`

### isSslRequired

    public boolean isSslRequired()

  Specified by:
    `isSslRequired` in interface `InstantMessagingServerDefinition`

### setSslRequired

    public void setSslRequired(boolean sslRequired)

  Specified by:
    `setSslRequired` in interface `InstantMessagingServerDefinition`

### equals

    public boolean equals(Object o)

  Specified by:
    `equals` in interface `InstantMessagingServerDefinition`

### compareTo

    public int compareTo(Object obj)

  Specified by:
    `compareTo` in interface `InstantMessagingServerDefinition`

### hashCode

    public int hashCode()

  Specified by:
    `hashCode` in interface `InstantMessagingServerDefinition`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Atlassian Software Systems. All Rights Reserved.